#!/bin/sh
cd /tmp
killall -9 lilin_monitor.sh

if test -e '/tmp/upload.bin' ; then
	echo "upload.bin already in tmp"
else
	mv /home/lilin/upload.bin /tmp/
fi

echo "*               Checking File integrity                 *"
echo "*********************************************************"

tar -xvf upload.bin updateam.bin fsize.t
md5=$(grep "MD5" fsize.t | sed 's/MD5=//g')
MD5_chk=$(md5sum updateam.bin | sed 's/updateam.bin//g')
#FSIZE=$(ls -l updateam.bin | awk '{print $5}')
#CHKSIZE=$(cat fsize.t)
if [ "$MD5_chk" = "$md5" ] ; then
	echo "MD5_chk correct.......Proceed with upgrade"
	reboot=0
else
	echo "MD5_chk DO NOT MATCH $md5 != $MD5_chk...DISCARD upload, REBOOT in 3 seconds"
	reboot=1
	sleep 3
fi

if [ "$reboot" = "0" ] ; then
	tar -xvf updateam.bin bin/busybox
	cp bin/busybox /bin/
	
	echo "*               Update www AP                           *"
	echo "*********************************************************"
	tar -xvf updateam.bin -C / --exclude="update.sh" --exclude="bin/busybox"
	
	#SSL Lib
	echo "*               Update SSL LIB                           *"
	echo "*********************************************************"
	cd /lib
	rm -f  libssl.so libcrypto.so
	ln -s libcrypto.so.1.0.0 libcrypto.so
	ln -s libssl.so.1.0.0 libssl.so
	cd /
	
	echo "*               Update SNMP                             *"
	echo "*********************************************************"
	tar -xvf snmp.bin
	rm -f snmp.bin
	
	rm /www/httpd
	rm /www/systool
	rm /www/search
	rm /www/reset
	rm /www/AiM.cab
	rm /www/Lilin.cab
	sed -i 's/OSD_FONT_TYPE=*./OSD_FONT_TYPE=4/g' /www/nvram.now
	sed -i 's/OSD_FONT_COLOR=*./OSD_FONT_COLOR=1/g' /www/nvram.now
	cp /etc/defpw /etc/passwd
	cp /etc/defshadow /etc/shadow
	sync
	sleep 1
	cd /
	echo "updating file ownership"
	chown -R root:root /usr/
	chown -R root:root /home/lilin/
	echo "www directory update completed, ready to reboot"
fi

/usr/local/bin/reset
